/************************************************************************
     File: access_barrier_example.ino

     This sketch raise and lower the barrier bar and control the LEDs according
     to barrier bar position.

   ***********************************************************************/

#include <Servo.h>

int servoPin = 12;  // pin connect to servo motor
int dwnPos = 100;   // angle of spline when barrier bar is lifted down
int upPos = 0;      // angle of spline when barrier bar is lifted up
int pinRed = 11;    // pin connect to red LED
int pinBlue = 10;   // pin connect to blue LED

Servo myservo;  // create servo object to control a servo

void setup() {
  pinMode(pinRed, OUTPUT);  // intialize digital pin 11 as output.
  pinMode(pinBlue, OUTPUT); // initialize digital pin 10 as output.

  myservo.attach(servoPin); // attaches the servo on pin 12 to the servo object

  myservo.write(dwnPos);    // lower the barrier bar
}

void loop() {
  barrierUp();  // raise the barrier bar
  delay(5000);  // delay 5 seconds
  barrierDwn(); // lower the barrier bar
  delay(5000);  // delay 5 seconds

}

void barrierUp() {
  digitalWrite(pinRed, HIGH);   // turn the red LED off
  digitalWrite(pinBlue, HIGH);  // turn the blue LED off
  myservo.write(dwnPos);       // lower the barrier bar
}

void barrierDwn() {
  digitalWrite(pinRed, LOW);   // turn the red LED on
  digitalWrite(pinBlue, LOW);  // turn the blue LED on
  myservo.write(upPos);       // raise the barrier bar
}
